Bug 203229 - Dependency creep for inkscape
Dependency creep for inkscape
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-19 12:46 EDT by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 03:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2006-08-19 12:46:26 EDT
Description of problem:
The new Inkscape package depends on several packages that do not seem
appropriate.  For example, skencil, an entire drawing application is required. 
Skencil pulls in some obscure dependencies, such as tk and tkinter.

Version-Release number of selected component (if applicable):
inkscape-0.44-4.fc6

How reproducible:
Every time

Steps to Reproduce:
Install inkscape-0.44-4.fc6 and notice its dependencies.
  
Actual results:


Expected results:


Additional info:
Comment 1 Denis Leroy 2006-08-22 03:11:09 EDT
Yes, that's a good point. Somebody interested in importing sketch documents most
likely will have skencil installed already. otoh pstoedit needs to stay as it's
a pretty small package and the Postscript import is an important feature.
inkscape also has optional run-time dependencies on transfig and libwmf, but
unfortunately there's no way to document this properly...

Note You need to log in before you can comment on or make changes to this bug.